
'---Start----------------------------------------------------------------------------------------
void game()
{
 Startup();
 TextBoxLeft("font.rfn","window.rws","\portraits\jahn\jahnnorm.i32",
         "Hello! I am Jahn Firestorm. The portrait is currently on the left side of the textbox.");
 ImageLoad("mainmenu1.i32");
 TextBoxRight("font.rfn","window.rws","\portraits\jahn\jahnnorm.i32",
         "Hello! I am Jahn Firestorm. The portrait is currently on the right side of the textbox.");
 StoryIntro();
 Exit();
}

'---System---------------------------------------------------------------------------------------
void Pause()
{ 
 image i=GrabImage(0,0,GetScreenWidth(),GetScreenHeight());
 while (!AnyKeyPressed())
 {
  BlitImage(i,0,0);
  FlipScreen();
 }
 DestroyImage(i);
}

void ClearScreen() 
{
 color black;
 black.red = 0;
 black.green = 0;
 black.blue = 0;
 black.alpha = 255;
 ApplyColorMask(black);
}

void ImageLoad(string picture)
{
 ClearScreen();
 image pic=LoadImage(picture);
 BlitImage(pic,0,0);
}

'---Startup--------------------------------------------------------------------------------------
void Startup() 
{ 
 image logo=LoadImage("sstartup.i32");
 ChangeMusic("intro.xm");
 BlitImage(logo,0,0);
 FadeIn(1000);
 BlitImage(logo,0,0);
 Delay(1000);
 BlitImage(logo,0,0);
 FadeOut(1000);
 DestroyImage(logo);

 logo=LoadImage("TeamKurai.i32");
 BlitImage(logo,0,0);
 FadeIn(1000);
 BlitImage(logo,0,0);
 FlipScreen();
 Delay(1000);
 BlitImage(logo,0,0);
 FadeOut(1000);
 DestroyImage(logo);

 logo=LoadImage("mainmenu1.i32");
 ChangeMusic("intro2.xm");
 BlitImage(logo,0,0);
 FadeIn(1000);
 BlitImage(logo,0,0);
 FlipScreen();
 Delay(1000);
 BlitImage(logo,0,0);

 
 'Main Menu. Needs the images to work. I will code a different version than the one here to 
 'decrease the amount of HD space required to have the game itself.
 
 'image[3] menu_images;
 'menu_images[0] = LoadImage("mainmenu1.i32");
 'menu_images[1] = LoadImage("mainmenu2.i32");
 'menu_images[2] = LoadImage("mainmenu3.i32");
 'int selection = 0;
 'bool done = false;
 'while (!done)
 '{
  'BlitImage(menu_images[selection], 0, 0);
  'FlipScreen();
  'while (KeysLeft())
  '{
   'switch (GetKey())
   '{
    'case KEY_UP:
    '{
     'selection -= 1;
     'if (selection == -1)
     'selection = 2;
    '}
    'case KEY_UP:
    '{
     'selection += 1;
     'if (selection == 3)
     'selection = 0;
    '}
    'case KEY_ENTER:
    'done = true;
    'case KEY_ESCAPE:
    'ExitMessage("cancelled!");
   '}
  '}
 '}
 'int i;
 'for (i = 0; i < 3; i += 1)
 'DestroyImage(menu_images[i]);
}  
 
'---Textbox--------------------------------------------------------------------------------------

void TextBoxLeft(string font,string windowstyle,string portrait,string text)
{
 SetFont(font);
 SetWindowStyle(windowstyle);
 DrawWindow(0,163,320,68);
 DrawTextBox(80,172,228,63,0,text);
 image p=LoadImage(portrait);
 BlitImage(p,0,155);
 Pause();
 while (!KeyPressed(KEY_ENTER));
}

void TextBoxRight(string font,string windowstyle,string portrait,string text)
{
 SetFont(font);
 SetWindowStyle(windowstyle);
 DrawWindow(0,163,320,68);
 DrawTextBox(12,172,228,63,0,text);
 image p=LoadImage(portrait);
 BlitImage(p,252,155);
 Pause();
 while (!KeyPressed(KEY_ENTER));
}

'---StoryIntro-----------------------------------------------------------------------------------

void IntroText(int screenwidth,int y,string text)
{
 DrawText((screenwidth/2)-(StringWidth(text)/2),y,text);
 FlipScreen();
}

void TextFadeIn(color textcolor,int milliseconds)
{
 int loop;
 SetTextColor(textcolor);
 for(loop=0;loop<256;loop+=1)
 {
  textcolor.alpha=loop;
  Delay(milliseconds);
 }
 FlipScreen();
}

void TextFadeOut(color textcolor,int milliseconds)
{
 int loop;
 SetTextColor(textcolor);
 for(loop=255;loop>0;loop-=1)
 {
  textcolor.alpha=loop;
  Delay(milliseconds);
 }
 FlipScreen();
}

void StoryIntro()
{
 color textcolor;
 image intro=LoadImage("book.i32");
 ChangeMusic("skyline.xm");
 BlitImage(intro,0,0);
 FadeIn(1000);
 BlitImage(intro,0,0);
 Delay(1000);
 SetFont("font.rfn");
 FlipScreen();
 SetTextColor(textcolor);
 IntroText(320,10,"Back when the world was nothing but a blanket");
 IntroText(320,26,"of darkness, the high goddess Aphientia gave");
 IntroText(320,42,"birth 3 gods and 3 goddesses.");
 TextFadeIn(textcolor,50);
 FlipScreen();
 Delay(1000);
 TextFadeOut(textcolor,50);
 FlipScreen();
 ClearScreen();
 
 intro=LoadImage("book.i32");
 BlitImage(intro,0,0);
 Delay(1000);
 SetFont("font.rfn");
 FlipScreen();
 IntroText(320,10,"Each of her six children was granted one of");
 IntroText(320,26,"her many powers.  They each created a part of");
 IntroText(320,42,"the planet, turning it from a lifeless ball");
 IntroText(320,58,"of rock to a beautiful, sprawling utopia.");
 TextFadeIn(textcolor,50);
 FlipScreen();
 Delay(1000);
 TextFadeOut(textcolor,50);
 FlipScreen();
 ClearScreen();

 intro=LoadImage("book.i32");
 BlitImage(intro,0,0);
 Delay(1000);
 SetFont("font.rfn");
 FlipScreen();
 IntroText(320,10,"Having completed their task of making the");
 IntroText(320,26,"planet habitable, the six gods and goddesses");
 IntroText(320,42,"created life on the planet.");
 TextFadeIn(textcolor,50);
 FlipScreen();
 Delay(1000);
 TextFadeOut(textcolor,50);
 FlipScreen();
 ClearScreen();

 intro=LoadImage("book.i32");
 BlitImage(intro,0,0);
 Delay(1000);
 SetFont("font.rfn");
 FlipScreen();
 IntroText(320,10,"Of all the species that were placed on the");
 IntroText(320,26,"planet, the intelligent species seemed to");
 IntroText(320,42,"develop faster than any other.");
 TextFadeIn(textcolor,50);
 FlipScreen();
 Delay(1000);
 TextFadeOut(textcolor,50);
 FlipScreen();
 ClearScreen();

 intro=LoadImage("book.i32");
 BlitImage(intro,0,0);
 Delay(1000);
 SetFont("font.rfn");
 FlipScreen();
 IntroText(320,10,"Of all the species that were placed on the");
 IntroText(320,26,"planet, the intelligent species seemed to");
 IntroText(320,42,"develop faster than any other.");
 TextFadeIn(textcolor,50);
 FlipScreen();
 Delay(1000);
 TextFadeOut(textcolor,50);
 FlipScreen();
 ClearScreen();

 intro=LoadImage("book.i32");
 BlitImage(intro,0,0);
 Delay(1000);
 SetFont("font.rfn");
 FlipScreen();
 IntroText(320,10,"Elves, Dwarves, Humans, and so on.");
 TextFadeIn(textcolor,50);
 FlipScreen();
 Delay(1000);
 TextFadeOut(textcolor,50);
 FlipScreen();
 ClearScreen();

 intro=LoadImage("book.i32");
 BlitImage(intro,0,0);
 Delay(1000);
 SetFont("font.rfn");
 FlipScreen();
 IntroText(320,10,"In the mere 5 generations that they had been");
 IntroText(320,26,"on this world, they had made many");
 IntroText(320,42,"advancements - homes, transportation, a");
 IntroText(320,58,"nature-reliant power source, long-distance");
 IntroText(320,74,"communications, and many weapons of war.");
 TextFadeIn(textcolor,50);
 FlipScreen();
 Delay(1000);
 TextFadeOut(textcolor,50);
 FlipScreen();
 ClearScreen();

 intro=LoadImage("book.i32");
 BlitImage(intro,0,0);
 Delay(1000);
 SetFont("font.rfn");
 FlipScreen();
 IntroText(320,10,"Aside from some small battles early in their");
 IntroText(320,26,"history, the intelligent species were very");
 IntroText(320,42,"peaceful.");
 TextFadeIn(textcolor,50);
 FlipScreen();
 Delay(1000);
 TextFadeOut(textcolor,50);
 FlipScreen();
 ClearScreen();

 intro=LoadImage("book.i32");
 BlitImage(intro,0,0);
 Delay(1000);
 SetFont("font.rfn");
 FlipScreen();
 IntroText(320,10,"Unfortunately, their peace was shattered when"); 
 IntroText(320,26,"the gods and goddesses became bitter, each of"); 
 IntroText(320,42,"them wanting the planet for themselves.");        
 TextFadeIn(textcolor,50);
 FlipScreen();
 Delay(1000);
 TextFadeOut(textcolor,50);
 FlipScreen();
 ClearScreen();

 intro=LoadImage("book.i32");
 BlitImage(intro,0,0);
 Delay(1000);
 SetFont("font.rfn");
 FlipScreen();
 IntroText(320,10,"Taking humanoid forms, and commanding the"); 
 IntroText(320,26,"people as their own tools of destruction, the"); 
 IntroText(320,42,"gods and goddesses mercilessly fought each"); 
 IntroText(320,58,"other, resulting in many deaths, and a reign"); 
 IntroText(320,74,"of terror over the entire world that plunged"); 
 IntroText(320,90,"civilization into a deep, dark age."); 
 TextFadeIn(textcolor,50);
 FlipScreen();
 Delay(1000);
 TextFadeOut(textcolor,50);
 FlipScreen();
 ClearScreen();

 intro=LoadImage("book.i32");
 BlitImage(intro,0,0);
 Delay(1000);
 SetFont("font.rfn");
 FlipScreen();
 IntroText(320,10,"This angered their mother, and she knew that"); 
 IntroText(320,26,"they must be punished."); 
 TextFadeIn(textcolor,50);
 FlipScreen();
 Delay(1000);
 TextFadeOut(textcolor,50);
 FlipScreen();
 ClearScreen();
 
 intro=LoadImage("book.i32");
 BlitImage(intro,0,0);
 Delay(1000);
 SetFont("font.rfn");
 FlipScreen();
 IntroText(320,10,"In her desperation to restore the planet to"); 
 IntroText(320,26,"its normal, peaceful state, the high goddess"); 
 IntroText(320,42,"imprisoned each one of her children's deities"); 
 IntroText(320,74,"inside some prisons that she eventually called,"); 
 IntroText(320,90,"'Her Gems.'");                                                         
 TextFadeIn(textcolor,50);
 FlipScreen();
 Delay(1000);
 TextFadeOut(textcolor,50);
 FlipScreen();
 ClearScreen();

 intro=LoadImage("book.i32");
 BlitImage(intro,0,0);
 Delay(1000);
 SetFont("font.rfn");
 FlipScreen();
 IntroText(320,10,"Aphientia entrusted each of the gems to six"); 
 IntroText(320,26,"wise men."); 
 TextFadeIn(textcolor,50);
 FlipScreen();
 Delay(1000);
 TextFadeOut(textcolor,50);
 FlipScreen();
 ClearScreen();

 intro=LoadImage("book.i32");
 BlitImage(intro,0,0);
 Delay(1000);
 SetFont("font.rfn");
 FlipScreen();
 IntroText(320,10,"In return she granted each one of them eternal"); 
 IntroText(320,26,"life.");  
 TextFadeIn(textcolor,50);
 FlipScreen();
 Delay(1000);
 TextFadeOut(textcolor,50);
 FlipScreen();
 ClearScreen();

 intro=LoadImage("book.i32");
 BlitImage(intro,0,0);
 Delay(1000);
 SetFont("font.rfn");
 FlipScreen();
 IntroText(320,10,"All was well....");            
 TextFadeIn(textcolor,50);
 FlipScreen();
 Delay(1000);
 TextFadeOut(textcolor,50);
 FlipScreen();
 ClearScreen();

 intro=LoadImage("book.i32");
 BlitImage(intro,0,0);
 Delay(1000);
 SetFont("font.rfn");
 FlipScreen();
 IntroText(320,10,"The high goddess rested...."); 
 TextFadeIn(textcolor,50);
 FlipScreen();
 Delay(1000);
 TextFadeOut(textcolor,50);
 FlipScreen();
 ClearScreen();

 intro=LoadImage("book.i32");
 BlitImage(intro,0,0);
 Delay(1000);
 SetFont("font.rfn");
 FlipScreen();
 IntroText(320,10,"Many years passed...");       
 TextFadeIn(textcolor,50);
 FlipScreen();
 Delay(1000);
 TextFadeOut(textcolor,50);
 FlipScreen();
 ClearScreen();
}	
