'/* DrawLibrary 1.0
'   4th January 2000
'   Darklich
'   - Feel free to use it without my permission, since it's there to help
'     people who are just starting out.
'*/

void DrawPixel(int X, int Y, color PixelColor)
{
  image Pixel;

  'CreateImage(Pixel, 1, 1, PixelColor);
  BlitImage(Pixel, X, Y);
  DestroyImage(Pixel);
}

void DrawLine(int SourceX, int SourceY, int DestinationX, int DestinationY, color LineColor)
{
  int DistanceX, DistanceY;
  int AbsoluteDistanceX, AbsoluteDistanceY;
  int SignedDistanceX, SignedDistanceY;
  int PositionX, PositionY;
  int X, Y;
  int i;

  '// setting up the variables
  DistanceX = DestinationX - SourceX;
  DistanceY = DestinationY - SourceY;
  if (DistanceX < 0)
    AbsoluteDistanceX = 0 - DistanceX;
  else
    AbsoluteDistanceX = DistanceX;
  if (DistanceY < 0)
    AbsoluteDistanceY = 0 - DistanceY;
  else
    AbsoluteDistanceY = DistanceY;
  if (DistanceX < 0)
    SignedDistanceX = -1;
  else if (DistanceX == 0)
    SignedDistanceX = 0;
  else if (DistanceX > 0)
    SignedDistanceX = 1;
  if (DistanceY < 0)
    SignedDistanceY = -1;
  else if (DistanceY == 0)
    SignedDistanceY = 0;
  else if (DistanceY > 0)
    SignedDistanceY = 1;
  X = AbsoluteDistanceX / 2;
  Y = AbsoluteDistanceY / 2;
  PositionX = SourceX;
  PositionY = SourceY;

  'if the line is more horizontal than vertical...
  if (AbsoluteDistanceX >= AbsoluteDistanceY)
  {
    for (i=0; i<AbsoluteDistanceX; i+=1)
    {
      Y += AbsoluteDistanceY;
      if (Y>=AbsoluteDistanceY)
      {
        Y -= AbsoluteDistanceY;
        PositionY += SignedDistanceY;
      }
      PositionX += SignedDistanceX;
      DrawPixel(PositionX, PositionY, LineColor);
    }
  }
  else 'the line is more vertical...
  {
    for (i=0; i<AbsoluteDistanceX; i+=1)
    {
      X += AbsoluteDistanceX;
      if (X>=AbsoluteDistanceX)
      {
        X -= AbsoluteDistanceX;
        PositionX += SignedDistanceX;
      }
      PositionY += SignedDistanceY;
      DrawPixel(PositionX, PositionY, LineColor);
   }
  }
}

void DrawBox(int X, int Y, int Width, int Height, color BoxColor)
{
  image Box;

  'CreateImage(Box, Width, Height, BoxColor);
  BlitImage(Box, X, Y);
  DestroyImage(Box);
}

void DrawBoxOutline(int X, int Y, int Width, int Height, int LineThickness, color BoxColor)
{
  image HorizontalLine, VerticalLine;

  'CreateImage(HorizontalLine, Width, LineThickness, BoxColor);
  'CreateImage(VerticalLine, LineThickness, Height, BoxColor);

  ' Blit Order: Top, Bottom, Left, Right.
  BlitImage(HorizontalLine, X, Y);
  BlitImage(HorizontalLine, X, Y+Height-LineThickness);
  BlitImage(VerticalLine, X, Y);
  BlitImage(VerticalLine, X+Width-LineThickness, Y);

  DestroyImage(HorizontalLine);
  DestroyImage(VerticalLine);
} 

